{{ ansible_managed | comment }}

global:
  scrape_interval: {{ prometheus_config.global.scrape_interval | d("15s") }}
  evaluation_interval: {{ prometheus_config.global.evaluation_interval | d("15s") }}

alerting:
{% if prometheus_config.alerting is defined %}
  {{ prometheus_config.alerting | to_nice_yaml(indent=2, width=1111) | indent(2, true) }}
{% endif%}

rule_files:
  - "{{ _prometheus_paths.rules }}/*.yml"
scrape_configs:
{% if prometheus_config.scrape_configs is defined %}
{{ prometheus_config.scrape_configs | to_nice_yaml(indent=2, width=1111) | indent(2, true)}}
{% endif %}
